List webhooks
curl --request GET \
--url https://app.simpledocs.com/api/v1/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.simpledocs.com/api/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.simpledocs.com/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"pagination": {
"current_page": 1,
"per_page": 25,
"total_pages": 3,
"total_count": 72
},
"data": [
{
"id": "<string>",
"type": "webhook",
"attributes": {
"name": "Salesforce Integration",
"url": "https://example.com/webhooks/simpledocs",
"auth_type": "bearer",
"events": [
"execution_complete"
]
}
}
]
}
Webhooks
List webhooks
Returns a paginated list of webhooks registered for your company.
List webhooks
curl --request GET \
--url https://app.simpledocs.com/api/v1/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.simpledocs.com/api/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.simpledocs.com/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"pagination": {
"current_page": 1,
"per_page": 25,
"total_pages": 3,
"total_count": 72
},
"data": [
{
"id": "<string>",
"type": "webhook",
"attributes": {
"name": "Salesforce Integration",
"url": "https://example.com/webhooks/simpledocs",
"auth_type": "bearer",
"events": [
"execution_complete"
]
}
}
]
}
Authorizations
Obtain a Bearer token via the Create access token endpoint using the OAuth2 client credentials flow.
Query Parameters
Page number for pagination (defaults to 1).
Required range:
x >= 1